# Error Codes

The Convergegate Gateway API may return standardized error codes to indicate the reason for a payment failure or rejection.\
Each code is accompanied by a short description.

> ℹ **Tip:**\
> Always log the code along with the accompanying message from the API response for easier troubleshooting.

#### 1.xx – General Errors

| Code     | Description               |
| -------- | ------------------------- |
| **1.00** | Illegal Workflow State    |
| **1.01** | Not Found                 |
| **1.02** | Communication Problem     |
| **1.03** | Internal Server Error     |
| **1.04** | Cancelled by Timeout      |
| **1.05** | Terminal not Found        |
| **1.06** | Recurring Token not Found |
| **1.07** | Payer Unaccepted          |
| **1.08** | Invalid Amount            |
| **1.09** | Invalid Currency          |
| **1.10** | Insufficient Balance      |

#### 2.xx – Customer Cancellations

| Code     | Description           |
| -------- | --------------------- |
| **2.00** | Cancelled by Customer |

#### 3.xx – Acquirer-Related Declines

| Code     | Description                              |
| -------- | ---------------------------------------- |
| **3.00** | Declined by Acquirer                     |
| **3.01** | Declined by Acquirer: Anti-fraud         |
| **3.02** | Declined by Acquirer: Request Validation |
| **3.03** | Acquirer Malfunction                     |
| **3.04** | Acquirer Timeout                         |
| **3.05** | Acquirer Limits Reached                  |
| **3.06** | Declined by Acquirer: Card Scheme        |
| **3.07** | Declined by Acquirer: Card Data          |
| **3.08** | Declined by Acquirer: Business Rules     |
| **3.09** | Not Fully 3DS                            |
| **3.10** | Unknown Error Code                       |
| **3.11** | Payer cannot pay                         |
| **3.12** | Invalid ID Document                      |
| **3.13** | ID Document Restrictions                 |
| **3.14** | Declined Due to Age Requirements         |
| **3.15** | ID Document Under Temporary Restrictions |
| **3.16** | Duplicate Payment                        |
| **3.17** | Channel not active                       |
| **3.18** | Cancelled or abandoned transaction       |
| **3.19** | Card PAN blacklisted                     |
| **3.20** | Card PAN not whitelisted                 |
| **3.21** | Invalid mobile number                    |
| **3.22** | Card BIN country not allowed             |

#### 4.xx – Issuer-Related Declines

| Code     | Description                             |
| -------- | --------------------------------------- |
| **4.00** | Declined by Issuer                      |
| **4.01** | Insufficient Funds                      |
| **4.02** | Do Not Honor                            |
| **4.03** | Invalid Account Number                  |
| **4.04** | Invalid card expiration date            |
| **4.05** | Issuer Limits Reached                   |
| **4.06** | Card not active                         |
| **4.07** | Invalid Security Code                   |
| **4.08** | Declined by Issuer: Business Rules      |
| **4.09** | Declined by Issuer: Anti-fraud          |
| **4.10** | Transaction not permitted to cardholder |
| **4.11** | AVS failed                              |

#### 5.xx – 3D Secure (3DS) Errors

| Code     | Description     |
| -------- | --------------- |
| **5.00** | Declined by 3DS |
| **5.01** | 3DS Timeout     |
| **5.02** | ACS malfunction |

#### 6.xx – Internal Anti-fraud Declines

| Code          | Description                                                                    |
| ------------- | ------------------------------------------------------------------------------ |
| **6.00**      | Declined by Internal Anti-fraud                                                |
| **6.01**      | Card PAN Blacklisted                                                           |
| **6.02**      | Customer Email Blacklisted                                                     |
| **6.03**      | Card Issuing Country Restricted                                                |
| **6.04**      | IP Country Restricted                                                          |
| **6.05**      | Restricted Currency                                                            |
| **6.06**      | Invalid Amount                                                                 |
| **6.07**      | IP Country Must Be Equal to Billing Country                                    |
| **6.08**      | IP Country Must Be Equal to Card Issuing Country                               |
| **6.09**      | Billing Country Must Be Equal to Card Issuing Country                          |
| **6.10**      | Payment Created Within Closed Period of Day                                    |
| **6.11**      | Card PAN not Whitelisted                                                       |
| **6.12**      | Cardholder name is invalid                                                     |
| **6.13**      | The same card is used by different customers                                   |
| **6.14**      | Customer Phone Blacklisted                                                     |
| **6.15**      | Card Brand not supported                                                       |
| **6.21–6.46** | Various limit breaches and blacklists (see API documentation for full details) |

#### 7.xx – External Anti-fraud Declines

| Code     | Description                               |
| -------- | ----------------------------------------- |
| **7.00** | Declined by External Anti-fraud           |
| **7.01** | External Anti-fraud Communication Problem |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.convergegate.com/v1/payments/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
